/* $Id: language.h,v 1.1 2007/07/15 22:05:23 mgdepalma Exp $
 *
 * Copyright (C) 2007 Softcraft Impresa, LLC <info@softcraft.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; You may only use version 2 of the License,
 * you have no option to use any other version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef LANGUAGE_H
#define LANGUAGE_H

#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <gdk/gdkx.h>

#define MAX_CHARS_PER_LINE 72   /* max chars per line   */
#define MAX_LABEL_LENGTH   32   /* max length of labels */
#define MAX_PATH_LENGTH   128   /* max file name length */

extern const char *Program;	/* published program name identifier */
extern const char *Release;	/* published program release version */

/* Definitions (data structures) */
typedef enum
{
  LABEL_APPLY,
  LABEL_CANCEL,
  LABEL_CAPTURE,
  LABEL_CLOSE,
  LABEL_DECORE,
  LABEL_DEFAULT,
  LABEL_DELAY,
  LABEL_DISMISS,
  LABEL_DONE,
  LABEL_FILE,
  LABEL_FILE_EXIST,
  LABEL_FILE_TYPE,
  LABEL_FILE_TYPE_BMP,
  LABEL_FILE_TYPE_JPG,
  LABEL_FILE_TYPE_PNG,
  LABEL_GRAB,
  LABEL_GRAB_REGION,
  LABEL_GRAB_SCREEN,
  LABEL_GRAB_WINDOW,
  LABEL_HIDE,
  LABEL_INFO,
  LABEL_OK,
  LABEL_OPEN,
  LABEL_PRINT,
  LABEL_PRINT_COMMAND,
  LABEL_PRINT_INVALID,
  LABEL_PRINT_JOB_SENT,
  LABEL_PRINT_LANDSCAPE,
  LABEL_PRINT_PORTRAIT,
  LABEL_PRINT_TO_FILE,
  LABEL_PRINTER,
  LABEL_QUIT,
  LABEL_SAVE,
  LABEL_SAVE_AS,
  LABEL_SEND_TO,
  LABEL_SET_BACKGROUND,
  LABEL_UNIMPLEMENTED,
  LABEL_VIEW,
  LABEL_WRITE_OVER,
  LABEL_WROTE,
  LABEL_X
} Label;

typedef struct {
  Label label;
  gchar *locale;
} Translation;

/* Method exported by the implementation */
extern gchar *_L(Label label);
extern gchar *basename(const gchar *path);
extern gchar *strargs(const gchar *format, ...);

#endif /* </LANGUAGE_H */
